Bug 892149 - (CVE-2013-0753) CVE-2013-0753 Mozilla: Use-after-free in serializeToStream (MFSA 2013-16)
CVE-2013-0753 Mozilla: Use-after-free in serializeToStream (MFSA 2013-16)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130108,repor...
: Security
Depends On:
Blocks: 890133
  Show dependency treegraph
 
Reported: 2013-01-05 08:41 EST by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 13:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-01-05 08:41:15 EST
Security researcher regenrecht reported via TippingPoint's Zero Day Initiative a use-after-free in XMLSerializer by the exposing of serializeToStream to web content. This can lead to arbitrary code execution when exploited. 


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-16.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges regenrecht as the original reporter.
Comment 1 errata-xmlrpc 2013-01-08 16:17:25 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0145 https://rhn.redhat.com/errata/RHSA-2013-0145.html
Comment 2 errata-xmlrpc 2013-01-08 16:39:15 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0144 https://rhn.redhat.com/errata/RHSA-2013-0144.html

Note You need to log in before you can comment on or make changes to this bug.